#include "ajouter_voiture.h"
#include "ui_ajouter_voiture.h"
#include"voiture.h"
#include"smtp.h"
#include"QSystemTrayIcon"
ajouter_voiture::ajouter_voiture(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ajouter_voiture)
{
    ui->setupUi(this);
}

ajouter_voiture::~ajouter_voiture()
{
    delete ui;
}

void ajouter_voiture::on_pushButton_clicked()
{
    int matricule = ui->lineEdit->text().toInt();
         QString marque= ui->lineEdit_2->text();
        QString couleur= ui->lineEdit_3->text();

      voiture  v (matricule,marque,couleur);
      bool test=v.ajouter();
      if(test)

    {
          Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
          s->sendMail("hajmoussa2368@gmail.com","youssef.ghedas@esprit.tn","une caisse a été ajouter avec succés","Mr youssef");
          notifier = new QSystemTrayIcon(this);
          notifier->setIcon(QIcon("notification.png"));
          notifier->show();
          notifier->showMessage("Succés","une caisse a été ajouter avec succés",QSystemTrayIcon::Warning,10000);
          hide();
    }
      else
      {
          notifier = new QSystemTrayIcon(this);
          notifier->setIcon(QIcon("notification.png"));
          notifier->show();
          notifier->showMessage("Erreur","La caisse n'a pas pu etre ajouté",QSystemTrayIcon::Warning,10000);

    }
}
